from unittest import TestCase, makeSuite, TestSuite

class Raw(TestCase):

    def setUp(self):
        from TW.UML.Model import MetaModel
        from TW.StructuralModel._Aspects import Structure,Storage,Misc,Representation
        from TW.StructuralModel.Queries import ModelQuerying
        from TW.XMI.Reading import XMIReading
        g = (MetaModel + Structure + Storage + Misc + ModelQuerying + XMIReading + Representation)(module=__name__)

    def checkNothing(self):
        pass


TestClasses = (
    Raw,
)


def suite():
    s = []
    for t in TestClasses:
        s.append(makeSuite(t,'check'))
    return TestSuite(s)

